On Fri, Jun 8, 2012 at 2:41 PM, Ruby Ruby <lists / ruby-forum.com> wrote:
> hi
> This is on fedore 17, standard installation.
> This web-app run flawlessly with ruby 1.8.7, but i cannot make it run
> with ruby 1.9.3. It is a web-mysql-database application.
>
> The following problems:
> 1) I cannot make run gettext (the app with ruby 1.8.7 runs in various
> languages)

As far as I can see you only showed how installation of gettext/gci
failed but no error actually using gettext.

> 2) cgi output is garbled, unusable.

The output looks pretty reasonable on first sight.  What is the "garbled" part?

A general remark: it may be that you run into an encoding issue.
http://blog.grayproductions.net/articles/miscellaneous_m17n_details

Kind regards

robert


-- 
remember.guy do |as, often| as.you_can - without end
http://blog.rubybestpractices.com/